Subject: Re: bug#4724: 23.1; emacsclient: Specify desired terminal type instead of using `-c'

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 01 Oct 2019 15:50:59 +0200

Lluis <[email-masked]> writes:

> I use
>
>     emacsclient -e "(remember-other-frame)"
>
> for quick note-taking.
>
> I use this together with an advice around remember-other-frame
> (similar to [0]), such that finishing or cancelling the note deletes
> the frame and lets me seamlessly resume my workflow.
>
> However, this only works in a graphical environment if there is already an
>
>     emacsclient -c ...
>
> running, as otherwise emacs throws
>
>     *ERROR*: Unknown terminal type

(I'm going through old bug reports that unfortunately didn't get any
response at the time.)

I tried reproducing this in Emacs 27, but was unable to: Even with one
emacsclient, I don't get that error message.  Are you still seeing this
problem on in modern Emacs versions?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no